Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz.jobs
Class CustomJobFromMessageConfig

    java.lang.Object
      org.mule.transport.quartz.config.AbstractJobConfig
          org.mule.transport.quartz.jobs.CustomJobFromMessageConfig

All Implemented Interfaces:
  Serializable, MuleContextAware, JobConfig

    public class CustomJobFromMessageConfig

extends AbstractJobConfig

This configuration simply holds a reference to a user defined job to execute.

See Also:
  Serialized Form

Constructor Summary
`CustomJobFromMessageConfig()`

Method Summary
`String` | `getCustomEvaluator()`
`String` | `getEvaluator()`
`String` | `getExpression()`
`org.quartz.Job` | `getJob(MuleMessage message)`
`JobConfig` | `getJobConfig(MuleMessage message)`
`protected Class` | `getStatefulJobClass()`
`protected Class` | `getStatelessJobClass()`
`void` | `setCustomEvaluator(String customEvaluator)`
`void` | `setEvaluator(String evaluator)`
`void` | `setExpression(String expression)`

Methods inherited from class org.mule.transport.quartz.config.AbstractJobConfig
`getGroupName, getJobClass, getJobGroupName, getMuleContext, isStateful, setGroupName, setJobGroupName, setMuleContext, setStateful`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomJobFromMessageConfig

    public CustomJobFromMessageConfig()

Method Detail

### getJob

    public org.quartz.Job getJob(MuleMessage message)
                          throws ClassNotFoundException,
                                 IllegalAccessException,
                                 NoSuchMethodException,
                                 InvocationTargetException,
                                 InstantiationException

  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `NoSuchMethodException`
    `InvocationTargetException`
    `InstantiationException`

### getJobConfig

    public JobConfig getJobConfig(MuleMessage message)
                           throws ClassNotFoundException,
                                  IllegalAccessException,
                                  NoSuchMethodException,
                                  InvocationTargetException,
                                  InstantiationException

  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `NoSuchMethodException`
    `InvocationTargetException`
    `InstantiationException`

### getCustomEvaluator

    public String getCustomEvaluator()

### setCustomEvaluator

    public void setCustomEvaluator(String customEvaluator)

### getEvaluator

    public String getEvaluator()

### setEvaluator

    public void setEvaluator(String evaluator)

### getExpression

    public String getExpression()

### setExpression

    public void setExpression(String expression)

### getStatefulJobClass

    protected Class getStatefulJobClass()

  Specified by:
    `getStatefulJobClass` in class `AbstractJobConfig`

### getStatelessJobClass

    protected Class getStatelessJobClass()

  Specified by:
    `getStatelessJobClass` in class `AbstractJobConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.